Get a course
Endpoint URL
GET /api/v2/courses/:id
Retrieves the full details of a specific course. To successfully fetch a course, include the course’s unique ID as a path parameter in the request URL. If the request is valid and the course exists, the API returns detailed information about the course, including its metadata, settings, and related attributes.
Request
Responses
- 200
- 400
- 403
- 404
Successful response
Invalid course ID
Insufficient permissions to view the course
Course or user not found